Skip to main content
POST
/
api
/
v1
/
upload
/
complete
Complete an upload
curl --request POST \
  --url https://api.melius.com/api/v1/upload/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-team-id: <api-key>' \
  --data '
{
  "uploadId": "<string>",
  "s3Bucket": "<string>",
  "s3Key": "<string>",
  "filename": "<string>",
  "contentType": "<string>",
  "sizeInBytes": 1,
  "parts": [
    {
      "partNumber": 1,
      "etag": "<string>"
    }
  ],
  "nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "width": 1,
  "height": 1,
  "agentUpload": true,
  "replaceActiveVersion": true
}
'
import requests

url = "https://api.melius.com/api/v1/upload/complete"

payload = {
"uploadId": "<string>",
"s3Bucket": "<string>",
"s3Key": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeInBytes": 1,
"parts": [
{
"partNumber": 1,
"etag": "<string>"
}
],
"nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"width": 1,
"height": 1,
"agentUpload": True,
"replaceActiveVersion": True
}
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
uploadId: '<string>',
s3Bucket: '<string>',
s3Key: '<string>',
filename: '<string>',
contentType: '<string>',
sizeInBytes: 1,
parts: [{partNumber: 1, etag: '<string>'}],
nodeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
canvasId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
width: 1,
height: 1,
agentUpload: true,
replaceActiveVersion: true
})
};

fetch('https://api.melius.com/api/v1/upload/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "s3Bucket": "<string>",
  "s3Key": "<string>",
  "url": "<string>",
  "nodeVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Body

application/json

Body

uploadId
string
required
s3Bucket
string
required
s3Key
string
required
filename
string
required
contentType
string
required
sizeInBytes
integer
required
Required range: x > 0
parts
object[]
required
nodeId
string<uuid>
canvasId
string<uuid>
width
integer
Required range: x > 0
height
integer
Required range: x > 0
node
object
agentUpload
boolean
replaceActiveVersion
boolean

Response

200

success
boolean
required
assetId
string<uuid>
required
s3Bucket
string
required
s3Key
string
required
url
string
required
nodeVersionId
string<uuid> | null
Last modified on July 9, 2026